<?php

// +---------------------------------------------------------------------------+
// | Import 1.0 for Geeklog - The Ultimate Weblog                              |
// +---------------------------------------------------------------------------+
// | upload.php                                                                |
// |                                                                           |
// | This file is the upload utility for Geeklog.  Drop it into your admin     |
// | directory -- edit the default download directory -- make sure your        |
// | webserver has write access to that directory and upload.                  |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Authors: Tom Willett        - tomw@pigstye.net                            |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

//
// you will need to edit the path to lib-common.php if you put this file anywhere other than
// the admin directory in a standard install
//
require_once('../lib-common.php');

// Default upload directory
$defdir = "/var/www/html/files/";

// Only let Root users access this page
if (!SEC_inGroup('Root')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the Upload page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    $display = COM_siteHeader();
    $display .= COM_startBlock("Access Denied!!!");
    $display .= "You are illegally trying to access the File Upload page.  This attempt has been logged";
    $display .= COM_endBlock();
    $display .= COM_siteFooter(true);
    echo $display;
    exit;
}

/*
* Main Function
*/

$msg = "";
if ($import == 'Upload File') {
    $buffer='';
    if ($impfile == 'none') {
        $msg = "Error: No File Uploaded";
    } else if ($impfile_size == 0) {
        $msg = "Error: File is zero length";
    } else if (!is_uploaded_file($impfile)) {
        $msg = "Error: Possible File Upload Attack";
    } else if (!copy($impfile, $directory . $impfile_name)) {
        $msg = "Error: Could not Copy file";
    } else {
        $msg = "Upload Successful for File -- " . $directory . $impfile_name;
    }
}
$display = COM_siteHeader();
$display .= COM_startBlock("Import -- Upload files into Geeklog Directory");
$display .= "<p>This Page uploads a file to the directory of your choice.<p>";
$display .= "<p>$msg</p>";
$display .= "<form method=\"post\" action=\"{$_CONF['site_admin_url']}/upload.php\" enctype=\"multipart/form-data\">";
$display .= "<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"10000000\">";
$display .= "File:&nbsp;&nbsp;&nbsp;<input type=\"file\" name=\"impfile\" size=\"40\"><p>";
$display .= "Upload Directory&nbsp;&nbsp;<input type=\"text\" name=\"directory\" size=\"40\" value=\"$defdir\"><p>";
$display .= "<p><input type=\"submit\" name=\"import\" value=\"Upload File\"></p>";
$display .= "</form>";
$display .= COM_endBlock();
$display .= COM_siteFooter(false);
echo $display;
?>